CHOWN(1)

NOME
chown - altera o proprietário e o grupo do arquivo

SINOPSE
chown [opções] usuário[:grupo] arquivo...

Opções POSIX: [-R]

Opções GNU (forma reduzida): [-cfhvR] [--dereference] [--reference=rfile] [--help] [--version] [--]

DESCRIÇÃO
chown altera o usuário e/ou a propriedade de grupo de cada arquivo fornecido conforme especificado pelo primeiro argumento sem opção como segue: se somente um nome de usuário (ou número de identificação do usuário) é fornecido, aquele usuário torna-se o proprietário do arquivo fornecido, e o grupo de arquivos não é alterado. Se um nome de usuário é seguido de dois pontos e um nome de grupo (ou número de identificação de grupo), sem espaços entre eles, a propriedade de grupo do arquivo é alterada também.

DETALHES GNU
A versão GNU permite ponto no lugar de dois pontos (conforme o BSD). [Isto não é aceito pela POSIX pois o ponto é aceito como um caractere válido no nome.] Se os dois pontos ou ponto, mas sem o nome de grupo, segue o nome do usuário, aquele usuário torna-se o proprietário do arquivo e o grupo do arquivo é alterado para o grupo de login do usuário. Se os dois pontos ou ponto e grupo são fornecidos, mas o nome do usuário é omitido, somente o grupo dos arquivos é alterado. Neste caso, chown assume a mesma função que chgrp.

OPÇÕES POSIX

-R  Altera recursivamente as permissões do diretório e de seus conteúdos.

OPÇÕES GNU

-c, --changes
    Descreve detalhadamente a ação ocorrida para cada arquivo cujas permissões estão sendo alteradas.

-f, --silent, --quiet
    Não mostra mensagens de erro para o arquivo cuja propriedade não pode ser alterada.

-h, --no-dereference
    Atua em ligações simbólicas em vez do local para a qual eles apontam. Disponível somente se a chamada de sistema lchown é fornecida.

-v, --verbose
    Descreve detalhadamente toda ação ocorrida para cada arquivo.

-R, --recursive
    Altera recursivamente a propriedade de diretórios e de seus conteúdos.

--dereference
    Altera a propriedade do destino da ligação simbólica em vez de alterar a da própria ligação simbólica. (Novo no Utilitários de Arquivo 4.0.)

--reference=rarquivo
    (Novo no Utilitários de Arquivo 4.0.) Altera a propriedade do arquivo para aquela do rarquivo.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
As variáveis LANG, LC_ALL, LC_CTYPE e LC_MESSAGES têm seus significados usuais.

DE ACORDO COM
POSIX 1003.2 não permite o uso do ponto como separador entre o nome do usuário e o nome do grupo.

NOTAS
Esta página descreve chmod como é encontrado no pacote Utilitários de Arquivo 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Roberto Selbach Teixeira <robteix@zaz.com.br> (revisão)